Search these docs, or ask Revo a question — answers link the pages they came from.
Used to update device properties
PUT
/api/v1/{tenantId}/devices
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Request Body
Section titled “Request Body ”object
tenantId
string
tenantUuid
string
deviceInstanceId
string
name
string
description
string
properties
object
key
additional properties
string
simulatorPosition
Array<number>
locations
Array<object>
object
name
string
locationId
string
attachToPartId
string
position
Array<number>
orientation
Array<number>
isEnabled
boolean
isHidden
boolean
isTeachDisabled
boolean
claimParentDevice
boolean
approachVectors
Array<object>
object
gripProfile
string
gripOrientation
string
Responses
Section titled “ Responses ”OK
object
Bad Request
object
message
string
code
string
Forbidden
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string